const scene = new THREE.Scene();

const camera = new THREE.PerspectiveCamera(
    45,    // kąt patrzenia kamery (FOV - field of view)
    window.innerWidth / window.innerHeight,    // proporcje widoku, powinny odpowiadać proporcjom ekranu przeglądarki użytkownika
    0.1,    // minimalna renderowana odległość
    10000    // maksymalna renderowana odległość od kamery
);

const renderer = new THREE.WebGLRenderer();
renderer.setClearColor(0xffffff);
renderer.setSize(window.innerWidth, window.innerHeight);
document.getElementById("root").appendChild(renderer.domElement);
camera.position.set(0, 1000, 0)
camera.lookAt(scene.position);

function render() {

    requestAnimationFrame(render);
    renderer.render(scene, camera);
}

// PLANE //
const planeGeo = new THREE.PlaneGeometry(512, 512);
const planeTex = new THREE.TextureLoader().load('mats/studzienka257.png');
planeTex.repeat.set(10, 10);
planeTex.wrapS = THREE.RepeatWrapping;
planeTex.wrapT = THREE.RepeatWrapping;
const planeMat = new THREE.MeshPhongMaterial({
    side: THREE.DoubleSide,
    map: planeTex,
    color: 0xffffff,
    specular: 0xffffff,
    shininess: 50,
})
const plane = new THREE.Mesh(planeGeo, planeMat);
plane.rotation.x = Math.PI / 2;
scene.add(plane);

// ADD LIGHT BUTTON //
let lights = [];

const uiLights = document.getElementById('uiLights');
const uiAdd = document.getElementById('uiAdd');
uiAdd.addEventListener('click', e => {
    let light = new Light(lights.length, scene, uiLights);
    lights.push(light);
});

// PLAYER //
const player = new Player(scene);

render();